Gecode::Support::RunJobs< Jobs, RetType >::Deleter Class Reference

A class to delete the master (running in parallel). More...

`#include <run-jobs.hpp>`

## Public Member Functions

| Deleter (Master *m)
| Initialize with master m.
virtual void | run (void)
| Perform deletion.
Public Member Functions inherited from Gecode::Support::Runnable
| Runnable (bool d=true)
| Initialize, d defines whether object is deleted when terminated.
void | todelete (bool d)
| Set whether to delete upon termination.
bool | todelete (void) const
| Return whether to be deleted upon termination.
virtual Terminator * | terminator (void) const
| Return terminator object.
virtual | ~Runnable (void)
| Destructor.

## Protected Attributes

Master * | master
| The master to be deleted.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Support::Runnable
static void * | operator new (size_t s)
| Allocate memory from heap.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

template<class Jobs, class RetType>
class Gecode::Support::RunJobs< Jobs, RetType >::Deleter

A class to delete the master (running in parallel).

Definition at line 137 of file run-jobs.hpp.

## Constructor & Destructor Documentation

## Deleter()

template<class Jobs, class RetType>

Gecode::Support::RunJobs< Jobs, RetType >::Deleter::Deleter | ( | Master * | m | ) |

inline

Initialize with master m.

Definition at line 325 of file run-jobs.hpp.

## Member Function Documentation

## run()

template<class Jobs, class RetType>

void Gecode::Support::RunJobs< Jobs, RetType >::Deleter::run | ( | void |  | ) |

virtual

Perform deletion.

Implements Gecode::Support::Runnable.

Definition at line 330 of file run-jobs.hpp.

## Member Data Documentation

## master

template<class Jobs, class RetType>

Master* Gecode::Support::RunJobs< Jobs, RetType >::Deleter::master

protected

The master to be deleted.

Definition at line 140 of file run-jobs.hpp.

The documentation for this class was generated from the following file:

- gecode/support/run-jobs.hpp